GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::SecureCredentials Class Reference

`#include <secure_credentials.h>`

## Public Member Functions
| SecureCredentials (grpc_credentials *c_creds)
| ~SecureCredentials () GRPC_OVERRIDE
grpc_credentials * | GetRawCreds ()
bool | ApplyToCall (grpc_call *call) GRPC_OVERRIDE
std::shared_ptr < grpc::ChannelInterface > | CreateChannel (const string &target, const grpc::ChannelArguments &args) GRPC_OVERRIDE
SecureCredentials * | AsSecureCredentials () GRPC_OVERRIDE
Public Member Functions inherited from grpc::Credentials
| ~Credentials () GRPC_OVERRIDE
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()

## Additional Inherited Members

## Constructor & Destructor Documentation

grpc::SecureCredentials::SecureCredentials | ( | grpc_credentials * | c_creds | ) |
| inline explicit

grpc::SecureCredentials::~SecureCredentials | ( |  | ) |
| inline

## Member Function Documentation

bool grpc::SecureCredentials::ApplyToCall | ( | grpc_call * | call | ) |
| virtual

Implements grpc::Credentials.

SecureCredentials* grpc::SecureCredentials::AsSecureCredentials | ( |  | ) |
| inline virtual

Implements grpc::Credentials.

std::shared_ptr< grpc::ChannelInterface > grpc::SecureCredentials::CreateChannel | ( | const string & | target,
|  | const grpc::ChannelArguments & | args
| ) |  |
| virtual

Implements grpc::Credentials.

grpc_credentials* grpc::SecureCredentials::GetRawCreds | ( |  | ) |
| inline

The documentation for this class was generated from the following files:

- src/cpp/client/secure_credentials.h
- src/cpp/client/secure_credentials.cc